/*
 * File:		common.h
 * Purpose:		File to be included by all project files
 *
 * Notes:
 */

#ifndef _COMMON_H_
#define _COMMON_H_

/********************************************************************/

/* 
 * Include the CPU header file 
 */
#include "src/include/mcf548x.h"

/* 
 * Include the board specific header file 
 */

#include "phyCORE-MCF548x.h"

/* 
 * Include any toolchain specfic header files 
 */
#include "src/include/mwerks.h"

/* 
 * Include common utilities
 */
#include "src/include/assert.h"

/********************************************************************/

#endif /* _COMMON_H_ */
