/*
 * File:	mcf548x.h
 * Purpose:	Register and bit definitions for the MCF548X
 *
 * Notes:	
 *	
 */

#ifndef __MCF548X_H__
#define __MCF548X_H__

/*********************************************************************/

#include "src/include/mcf5xxx.h"

#include "src/include/mcf548x/mcf548x_fec.h"
#include "src/include/mcf548x/mcf548x_siu.h"
#include "src/include/mcf548x/mcf548x_ctm.h"
#include "src/include/mcf548x/mcf548x_dspi.h"
#include "src/include/mcf548x/mcf548x_eport.h"
#include "src/include/mcf548x/mcf548x_fbcs.h"
#include "src/include/mcf548x/mcf548x_gpio.h"
#include "src/include/mcf548x/mcf548x_gpt.h"
#include "src/include/mcf548x/mcf548x_i2c.h"
#include "src/include/mcf548x/mcf548x_intc.h"
#include "src/include/mcf548x/mcf548x_sdramc.h"
#include "src/include/mcf548x/mcf548x_sec.h"
#include "src/include/mcf548x/mcf548x_slt.h"
#include "src/include/mcf548x/mcf548x_usb.h"
#include "src/include/mcf548x/mcf548x_psc.h"
#include "src/include/mcf548x/mcf548x_sram.h"
#include "src/include/mcf548x/mcf548x_pci.h"
#include "src/include/mcf548x/mcf548x_pciarb.h"
#include "src/include/mcf548x/mcf548x_can.h"

/*********************************************************************/

#endif /* __MCF548X_H__ */
